# Comment

## Base definition

```javascript
{
    "kind": "comment",
    "createdAt": int,
    "updatedAt": int,
    "text": str,
    "user": {
      ...user.base // See user resource definition
    } 
}
```

## Documentation

| Fields    | Description                                                                                                                                                                               |
| --------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| kind      | <p><strong>string</strong></p><p>The resource type. Will always be "comment".</p>                                                                                                         |
| createdAt | <p><strong>integer</strong></p><p>Timestamp for when the comment was created. Stored as milliseconds since the epoch (1970-01-01).</p>                                                    |
| updatedAt | <p><strong>integer</strong></p><p>Timestamp for when the comment was last updated. Stored as milliseconds since the epoch (1970-01-01).</p>                                               |
| user      | <p><strong>object</strong><br>The user who left the comment. Will contain the contents of the <a href="/pages/JO2Tq0NEN7FsT1S6xiFA#base-definition">user.base resource definition</a></p> |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.redivis.com/api/resource-definitions/comment.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
